## edu.stanford.nlp.trees
Class CompositeTreebank

    java.lang.Object
      java.util.AbstractCollection<Tree>
          edu.stanford.nlp.trees.Treebank
              edu.stanford.nlp.trees.CompositeTreebank

All Implemented Interfaces:
  Iterable<Tree>, Collection<Tree>

    public class CompositeTreebank

extends Treebank

Author:
  Galen Andrew

Field Summary

Fields inherited from class edu.stanford.nlp.trees.Treebank
`DEFAULT_TREE_FILE_SUFFIX`

Constructor Summary
`CompositeTreebank(Treebank t1, Treebank t2)`

Method Summary
`void` `apply(TreeVisitor tp)` Apply a TreeVisitor to each tree in the Treebank.
`void` `clear()` Empty a `Treebank`.
`Iterator<Tree>` `iterator()`
`void` `loadPath(File path, FileFilter filt)` Load trees from given path specification.

Methods inherited from class edu.stanford.nlp.trees.Treebank
`decimate, encoding, loadPath, loadPath, loadPath, loadPath, loadPath, remove, size, textualSummary, textualSummary, toString, transform, treeReaderFactory`

Methods inherited from class java.util.AbstractCollection
`add, addAll, contains, containsAll, isEmpty, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### CompositeTreebank

    public CompositeTreebank(Treebank t1,
                             Treebank t2)

Method Detail

### clear

    public void clear()

  Description copied from class: `Treebank`
  Empty a `Treebank`.

  Specified by:
    `clear` in interface `Collection<Tree>`
  Specified by:
    `clear` in class `Treebank`

### loadPath

    public void loadPath(File path,
                         FileFilter filt)

  Description copied from class: `Treebank`
  Load trees from given path specification.

  Specified by:
    `loadPath` in class `Treebank`
  Parameters:
    `path` - file or directory to load from
    `filt` - a FilenameFilter of files to load

### apply

    public void apply(TreeVisitor tp)

  Description copied from class: `Treebank`
  Apply a TreeVisitor to each tree in the Treebank. For all current implementations of Treebank, this is the fastest way to traverse all the trees in the Treebank.

  Specified by:
    `apply` in class `Treebank`
  Parameters:
    `tp` - The TreeVisitor to be applied

### iterator

    public Iterator<Tree> iterator()

  Specified by:
    `iterator` in interface `Iterable<Tree>`
  Specified by:
    `iterator` in interface `Collection<Tree>`
  Specified by:
    `iterator` in class `AbstractCollection<Tree>`

Stanford NLP Group